#
# spec file for package htdig (Version 3.0.8b2)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp apache

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         htdig
Release:      18
Copyright:    ht:;;Dig  1995, 1996, 1997 Andrew Scherpbier (GPL)
Group: 
Provides:     htdig 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.0.8b2
Summary:      WWW indexing and searching system
Source: htdig-3.0.8b2.tar.gz
Patch:  htdig-3.0.8b2.dif
%description
The ht://Dig system is a complete world wide web indexing and searching
system for a small domain or intranet. This system is not meant to replace
the need for powerful internet-wide search systems like Lycos, Infoseek,
Webcrawler and AltaVista. Instead it is meant to cover the search needs
for a single company, campus, or even a particular sub section of a web
site. 
As opposed to some WAIS-based or web-server based search engines, ht://Dig
can span several web servers at a site. The type of these different
web servers doesn't matter as long as they understand the HTTP 1.0 protocol.

Authors:
--------
    Andrew Scherpbier <andrew@contigo.com>

%prep
%setup 
%patch
cd contrib
rm `find -name "*.orig"`
%build
./configure
make
%install
make install
install -d /usr/local/httpd/cgi-bin
install -m 755 /opt/www/cgi-bin/htsearch /usr/local/httpd/cgi-bin/htsearch
install -d /usr/local/httpsd/cgi-bin
install -m 755 /opt/www/cgi-bin/htsearch /usr/local/httpsd/cgi-bin/htsearch
install -d /usr/local/httpd/htdocs
ln -sf /opt/www/htdocs/htdig /usr/local/httpd/htdocs/htdig
install -d /usr/local/httpsd/htdocs
ln -sf /opt/www/htdocs/htdig /usr/local/httpsd/htdocs/htdig
Check
%post
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/htdig-notify
Fulltext Search Capability and Central Documentation Server
-----------------------------------------------------------
Starting with S.u.S.E. Linux 5.2 two new packages have been integrated
with the distribution:
  * dochost for using a central server for the documentation
  * htdig for fulltext searching
If used in conjunction you have the capability to allow centralized
access to the full set of documentation available with
S.u.S.E. Linux with the additional ability to do fulltext searches.
The documentation is comprised of the S.u.S.E. Linux Online Help System
including man pages, HOWTOs etc.
The clients no longer have to store documentation locally, meaning
less disk space is needed.
ht://Dig adds easy-to-use fulltext search capability to that.
Using ht://Dig is possible for non-networked installations, too.
Requirements for the documentation server
-----------------------------------------
The following packages should be installed:
  * documentation from series doc
  * A web-server, either apache or apassl from series n
  * rman/series n
  * dochost/series n
  * htdig/series n
You can just run a documentation server without clients to use the
fulltext search engine locally.
Requirements for the clients
----------------------------
  * dochost/series n
  * a web-browser, e.g. netscape/series n
Installation
------------
Package dochost defines three new variables for /etc/rc.config:
DOC_HOST
DOC_SERVER
DOC_ALLOW
They are used for accessing the documentation server and for its
configuration.
Installation on the client
--------------------------
Just set DOC_HOST to the full hostname of the doc server. 
On invoking /usr/bin/susehelp the doc server is then accessed by
the web-browser instead of local documentation. E.g.:
  DOC_HOST="doc.domain.top"
DOC_SERVER should be set to "no" on the client.
Installation on the server
--------------------------
The server installtion does not require full network access, but can also
be used when you just want to use ht://Dig for fulltext searching.
Set the following variables in /etc/rc.config:
  START_HTTPD="yes"
as a running web-server is required for running a doc server.
  DOC_SERVER="yes"
This enables the configuration as a doc server, i.e. the local references
to the documentation are changed to allow for web access.
  DOC_HOST="$FQHOSTNAME"
  DOC_ALLOW="LOCAL .yourdomain.top"
In DOC_ALLOW all domains/hosts which shall access the locally installed
man-pages on the doc server. This variable will be written to /etc/hosts.allow
for access control.
If additionally you would like to enable fulltext search on your documentation,
you should initialize ht://Dig's database first. The package dochost
automatically creates a tailored config file for this.
The fulltext indices are about 70MB in size, i.e. you should have
at least 200MB free disk space on /opt/www/htdig while building the database.
Execute as root the following command:
  /usr/sbin/suserundig
Initializing usually takes more than 1 hour...
After that you can use fulltext searching (via the help-system).
*****************************************************************************
Volltextsuche und Zentraler Dokumentations-Server
------------------------------------------------
Ab S.u.S.E.-Linux 5.2 sind zwei neue Pakete in die Distribution aufgenommen
worden:
  * dochost zum Betreiben eines zentralen Dokumentations-Servers
  * htdig fr Volltextsuche im WWW
Zusammen eingesetzt ergibt sich die Mglichkeit, die Dokumentation 
von S.u.S.E.-Linux zentral auf einem Dokumentations-Server zu installieren
und auf diesen von beliebigen Rechnern im Netz mit erweiterten 
Suchfunktionen zugreifen zu knnen.
Die Dokumentation umfat das gesamte S.u.S.E. Hilfesystem einschlielich 
der Online Manuals, HOWTOs etc.
Die Clients mssen die Dokumentation lokal nicht mehr vorhalten, so da
weniger Plattenplatz belegt wird.
ht://Dig ermglicht zustzlich die komfortable Volltextsuche ber die
gesamte Dokumentation.
Auch fr nicht Netzwerkinstallationen besteht die Mglichkeit, ht://Dig
zur Volltextsuche in der Dokumentation einzusetzen.
Voraussetzungen auf dem Dokumentations-Server
---------------------------------------------
Es sollten folgende Pakete installiert sein:
  * Die Dokumentation aus Serie doc
  * Web-Server: entweder apache/Serie n oder apassl/Serie n
  * rman/Serie ap
  * dochost/Serie n
  * htdig/Serie n
Man kann einen Dokumentations-Server auch ohne Clients betreiben, dann 
hat man auch auf seinem lokalen Rechner die Mglichkeit zur Volltextsuche.
Voraussetzungen auf den Clients
-------------------------------
  * dochost/Serie n
  * ein Webbrowser, z.B. netscape/Serie pay
Installation
------------
Das Paket dochost definiert drei neue Variablen in /etc/rc.config:
DOC_HOST
DOC_SERVER
DOC_ALLOW
Diese steuern den Zugriff auf den Dokumentations-Server sowie dessen
Konfiguration.
Client-Installation
-------------------
Einfach DOC_HOST auf den Dokuemntations-Server zeigen lassen.
Dann wird bei Aufruf von /usr/bin/hilfe nicht einfach die lokale Dokumentation
gelesen, sondern gleich mit dem Web-Browser auf den Dokumentations-Server
verzweigt. Also z.B.:
  DOC_HOST="doku.domain.top"
Die Variable DOC_SERVER sollte auf "no" stehen.
Server-Installation
-------------------
Die Server-Installation setzt nicht den vollen Netzzugriff voraus, sondern
kann auch eingesetzt werden, wenn Sie nur lokal ht://Dig zur Volltextsuche
einsetzen mchten.
Setzen Sie folgende Variablen in /etc/rc.config 
(mit YaST unter Administration->Konfigurationsdatei ndern)
  START_HTTPD="yes"
sollte gesetzt sein, da Voraussetzung fr den Betrieb als Server ein
laufender Web-Server ist.
  DOC_SERVER="yes"
Das aktiviert die Konfiguration als Dokumentations-Server. Vor allem
werden dann die lokalen Verweise des S.u.S.E.-Hilfesystems in Verweise
auf den Server umgestellt.
  DOC_HOST="$FQHOSTNAME"
  DOC_ALLOW="LOCAL .ihredomain.top"
In DOC_ALLOW stehen alle Rechner/Domains, denen der Zugriff auf die
lokal installierten Man-Pages des Dokumentations-Servers erlaubt werden sollen.
Dieser Eintrag wird nach /etc/hosts.allow geschrieben, um den Zugriff
freizugeben. Dort sollte ihre lokale Domain oder eine Liste der Rechner,
denen der Zugriff erlaubt werden soll eingetragen werden (also z.B.
DOC_ALLOW="LOCAL host1 host2 host3").
Wenn Sie zustzlich noch die Volltextsuche nutzen mchten, sollte zuerst
einmal die Datenbank von ht://Dig initialisiert werden. Das dochost
Paket erzeugt dafr automatisch eine passende Konfigurationsdatei.
Die Volltext-Indizes sind zur Zeit ca. 70 MB gro. Unter /opt/www/htdig
sollten whrend der Initialisierung der Datenbank mindestens
200MB freier Plattenplatz vorhanden sein.
Fhren Sie dann (als root) den folgenden Befehl zur Initialisierung aus:
 /usr/sbin/suserundig
Die Initialisierung dauert i.d.R. lnger als 1 Stunde...
Danach ist die Volltextsuche (erreichbar ber das Hilfesystem) voll
einsatzfhig.
Viel Spass...
EOT
%files
/opt/www
/usr/local/httpd/cgi-bin/htsearch
/usr/local/httpd/htdocs/htdig
/usr/local/httpsd/cgi-bin/htsearch
/usr/local/httpsd/htdocs/htdig
%doc COPYING README htdoc contrib

